﻿/* *********************************************************************
* Copyright (c) 1986-2018 ICONICS, Inc.
* Contains Confidential information
* THIS CODE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND.
* **********************************************************************/

/* *********************************************************************
* This file is subject to the terms and conditions defined in 
* 'ICONICS Extensibility Toolkit LICENSE.pdf'
* which is part of this source code package.
* **********************************************************************/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using Ico.Workflow.Controls;
using MyCustomActivity1;

namespace MyCustomActivity1.Design
{
    /// <summary>
    /// Interaction logic for MyActivityEditor.xaml
    /// </summary>
    public partial class MyActivity1Editor : CustomActivityEditor
    {
        public MyActivity1Editor()
        {
            InitializeComponent();
        }

        private void OnBrowseFile(object sender, RoutedEventArgs e)
        {
            MyActivity1 activity = Wrapper.Activity as MyActivity1;

            if (activity != null) //paranoid check
            {
                //Browse file and set FilePath property of MyActivity

                Microsoft.Win32.OpenFileDialog dlg = new Microsoft.Win32.OpenFileDialog();
                if (dlg.ShowDialog() == true)
                {
                    activity.FilePath = dlg.FileName;
                }
            }
        }
    }
}
